import request from '@/utils/request'
//查询员工
export function getStaffList(params) {
	return request({
		url: '/system/user/list',
		method: 'get',
		params
	})
}

// 根据员工序号获取责权信息
export function getResponsibilityRight(userId) {
    return request({
        url: '/system/user/responsibilityRight/' + userId,
        method: 'GET'
    })
}

// 获取级别职务下拉树列表
export function getLevelTreeSelect() {
	return request({
		url: '/system/level/treeSelect',
		method: 'get'
	})
}

// 获取性质岗位下拉树列表
export function getNatureTreeSelect() {
	return request({
		url: '/system/nature/treeSelect',
		method: 'get'
	})
}

//查询级别
export function levelList() {
	return request({
		url: '/system/level/list',
		method: 'get'
	})
}

// 查询角色列表
export function listRole(query) {
	return request({
	  url: '/system/role/list',
	  method: 'get',
	  params: query
	})
  }

// 新增员工账号信息
export function addUser(data) {
	return request({
		url: '/system/user',
		method: 'post',
		data: data
	})
}

// 删除员工
export function delUser(userIds) {
	return request({
	  url: 'system/user/' + userIds,
	  method: 'delete'
	})
  }

// 根据员工序号获取授权功能权限
export function getAuthRole(userId) {
    return request({
        url: '/system/user/authRole/' + userId,
        method: 'GET'
    })
}

// 更新员工授权功能权限
export function updateAuthRole(data) {
	return request({
		url: '/system/user/authRole',
		method: 'put',
		data: data
	})
}

// 查询数据角色信息列表
export function listDataRole(query) {
	return request({
	  url: '/system/dataRole/list',
	  method: 'get',
	  params: query
	})
  }

// 根据员工序号获取授权数据权限
export function getDataRole(userId) {
    return request({
        url: '/system/user/dataRole/' + userId,
        method: 'GET'
    })
}

// 更新员工授权数据权限
export function updateDataRole(data) {
	return request({
		url: '/system/user/dataRole',
		method: 'put',
		data: data
	})
}

// 根据员工序号获取账号信息
export function getAccountInfo(userId) {
    return request({
        url: '/system/user/accountInfo/' + userId,
        method: 'GET'
    })
}

// 根据员工Id获取基本信息
export function getPersonnel(userId) {
    return request({
        url: '/system/user/personnel/' + userId,
        method: 'GET'
    })
}

// 修改员工账号信息
export function updateUser(data) {
	return request({
		url: '/system/user',
		method: 'put',
		data: data
	})
}